package gov.va.vinci.dart.db;

import java.util.List;

import gov.va.vinci.dart.common.exception.ObjectNotFoundException;
import gov.va.vinci.dart.biz.Facility;

public interface FacilityDAO {

	Facility findById(final int locationId);
	Facility findByName(final String name) throws ObjectNotFoundException;
	List<Facility> listAll();
}
